# eric6.Plugins.VcsPlugins.vcsSubversion.SvnSwitchDialog

Module implementing a dialog to enter the data for a switch operation.

### Global Attributes

None

### Classes

SvnSwitchDialog | Class implementing a dialog to enter the data for a switch operation.

### Functions

None

## SvnSwitchDialog

Class implementing a dialog to enter the data for a switch operation.

### Derived from

QDialog, Ui_SvnSwitchDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnSwitchDialog | Constructor
getParameters | Public method to retrieve the tag data.

### Static Methods

None

#### SvnSwitchDialog (Constructor)

SvnSwitchDialog(taglist, reposURL, standardLayout, parent=None)

Constructor

taglist
  list of previously entered tags (list of strings)
reposURL
  repository path (string) or None
standardLayout
  flag indicating the layout of the repository (boolean)
parent
  parent widget (QWidget)

#### SvnSwitchDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of string and int (tag, tag type)

Up